package market.event;

import java.io.Serializable;

/**
 * Convenience method that implements MarketEventListener with empty methods.
 */
public class MarketEventAdapter implements MarketEventListener, Serializable {

    /**
	 * ID for serialization.
	 */
	private static final long serialVersionUID = -8075829210171118804L;

	/**
     * Invoked when the manager announces closing-time.
     */
    public void notifyOnMarketClosing() {
    }

    /**
     * Invoked when the manager cancels closing-time announcement.
     */
    public void notifyOnMarketNotClosing() {
    }

    /**
     * Invoked when the market opens.
     */
    public void marketOpened() {
    }

    /**
     * Invoked when the market closes.
     */
    public void marketClosed() {
    }

    /**
     * Invoked when the date changes.
     */
    public void timeAdvanced() {
    }

    /**
     * Invoked when a job enters the {@link market.SMarket#ss_warehouseQueue warehouse queue} or a
     * warehouse worker logs on or off.
     */
    public void workerInformationChanged(){
    }
}